Bug 671196 - Review Request: perl-Parallel-Scoreboard - Scoreboard for monitoring status of many processes
Summary: Review Request: perl-Parallel-Scoreboard - Scoreboard for monitoring status o...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rt4-dependencies-tracker
TreeView+ depends on / blocked
 
Reported: 2011-01-20 18:06 UTC by Ralf Corsepius
Modified: 2011-02-04 19:52 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-02-04 19:49:06 UTC
mmaslano: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2011-01-20 18:06:12 UTC
Spec URL:  http://corsepiu.fedorapeople.org/packages/perl-Parallel-Scoreboard.spec
SRPM URL:  http://corsepiu.fedorapeople.org/packages/perl-Parallel-Scoreboard-0.02-1.fc15.src.rpm

Description:
Parallel::Scoreboard is a pure-perl implementation of a process scoreboard.
By using the module it is easy to create a monitor for many worker process,
like the status module of the Apache HTTP server.

Comment 1 Marcela Mašláňová 2011-01-25 17:06:21 UTC
- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
 ^ http://koji.fedoraproject.org/koji/taskinfo?taskID=2741673
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries ?
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -q --provides perl-Parallel-Scoreboard
perl(Parallel::Scoreboard) = 0.02
perl-Parallel-Scoreboard = 0.02-1.fc15

rpm -q --requires perl-Parallel-Scoreboard
perl(:MODULE_COMPAT_5.12.2)  
perl(Digest::MD5)  
perl(Fcntl)  
perl(POSIX)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

In inc directory lives for example Test::More. Could it be replace by system Test::More? Also check the rest of inc.

Comment 2 Ralf Corsepius 2011-01-26 03:15:48 UTC
(In reply to comment #1)
> In inc directory lives for example Test::More. Could it be replace by system
> Test::More? Also check the rest of inc.
Good point - I removed inc/Test/More.pm and inc/File/Temp.pm

Update:
Spec URL: 
http://corsepiu.fedorapeople.org/packages/perl-Parallel-Scoreboard.spec
SRPM URL: 
http://corsepiu.fedorapeople.org/packages/perl-Parallel-Scoreboard-0.02-2.fc15.src.rpm

Comment 3 Marcela Mašláňová 2011-01-26 14:27:39 UTC
ACCEPT

Comment 4 Ralf Corsepius 2011-01-26 14:45:41 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: perl-Parallel-Scoreboard
Short Description: Scoreboard for monitoring status of many processes
Owners: corsepiu
Branches: f13 f14
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2011-01-26 17:57:25 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-01-27 02:26:40 UTC
perl-Parallel-Scoreboard-0.02-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Parallel-Scoreboard-0.02-2.fc14

Comment 7 Fedora Update System 2011-01-27 02:26:49 UTC
perl-Parallel-Scoreboard-0.02-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Parallel-Scoreboard-0.02-2.fc13

Comment 8 Fedora Update System 2011-01-27 20:56:15 UTC
perl-Parallel-Scoreboard-0.02-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Parallel-Scoreboard'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Parallel-Scoreboard-0.02-2.fc14

Comment 9 Fedora Update System 2011-02-04 19:49:01 UTC
perl-Parallel-Scoreboard-0.02-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-02-04 19:52:37 UTC
perl-Parallel-Scoreboard-0.02-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.